portal = context.getPortalObject()

portal.portal_catalog.searchAndActivate(
  method_id='SubscriptionRequest_validateIfSubmitted',
  # Project are created only from UI for now
  portal_type=["Subscription Request"],
  simulation_state='submitted',
  activate_kw={'tag': tag}
)

context.activate(after_tag=tag).getId()
